## oem-wireless-iwlwifi-1192802-dkms 1.0stella6

=== oem-wireless-iwlwifi-1192802-1.0stella6/Makefile ===
#
# Makefile for the output source package
#

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_PWD := $(shell pwd)

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(shell uname -r)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')

export KLIB KLIB_BUILD BACKPORT_PWD KMODDIR KMODPATH_ARG

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
#	@$(MAKE) defconfig-iwlwifi
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h

.DEFAULT:
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f .local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\(3\|2\.6\)\.[0-9]\+\).*/\1/;t;d')			;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/3./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config BACKPORT_KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
	@$(MAKE) -f Makefile.real "$@"

else
include $(BACKPORT_PWD)/Makefile.kernel
endif

=== oem-wireless-iwlwifi-1192802-1.0stella6/net/Makefile ===
#
# Makefile for the linux networking.
#
# 2 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

obj-y	:= nonet.o

obj-$(CONFIG_NET)		:= socket.o core/

tmp-$(CONFIG_COMPAT) 		:= compat.o
obj-$(CONFIG_NET)		+= $(tmp-y)

# LLC has to be linked before the files in net/802/
obj-$(CONFIG_LLC)		+= llc/
obj-$(CONFIG_NET)		+= ethernet/ 802/ sched/ netlink/
obj-$(CONFIG_NETFILTER)		+= netfilter/
obj-$(CONFIG_INET)		+= ipv4/
obj-$(CONFIG_XFRM)		+= xfrm/
obj-$(CONFIG_UNIX)		+= unix/
obj-$(CONFIG_NET)		+= ipv6/
obj-$(CONFIG_PACKET)		+= packet/
obj-$(CONFIG_NET_KEY)		+= key/
obj-$(CONFIG_BRIDGE)		+= bridge/
obj-$(CONFIG_NET_DSA)		+= dsa/
obj-$(CONFIG_IPX)		+= ipx/
obj-$(CONFIG_ATALK)		+= appletalk/
obj-$(CONFIG_X25)		+= x25/
obj-$(CONFIG_LAPB)		+= lapb/
obj-$(CONFIG_NETROM)		+= netrom/
obj-$(CONFIG_ROSE)		+= rose/
obj-$(CONFIG_AX25)		+= ax25/
obj-$(CONFIG_CAN)		+= can/
obj-$(CONFIG_IRDA)		+= irda/
obj-$(CPTCFG_BT)		+= bluetooth/
obj-$(CONFIG_SUNRPC)		+= sunrpc/
obj-$(CONFIG_AF_RXRPC)		+= rxrpc/
obj-$(CONFIG_ATM)		+= atm/
obj-$(CONFIG_L2TP)		+= l2tp/
obj-$(CONFIG_DECNET)		+= decnet/
obj-$(CONFIG_PHONET)		+= phonet/
ifneq ($(CONFIG_VLAN_8021Q),)
obj-y				+= 8021q/
endif
obj-$(CONFIG_IP_DCCP)		+= dccp/
obj-$(CONFIG_IP_SCTP)		+= sctp/
obj-$(CONFIG_RDS)		+= rds/
obj-$(CPTCFG_WIRELESS)		+= wireless/
obj-$(CPTCFG_MAC80211)		+= mac80211/
obj-$(CONFIG_TIPC)		+= tipc/
obj-$(CONFIG_NETLABEL)		+= netlabel/
obj-$(CONFIG_IUCV)		+= iucv/
obj-$(CONFIG_RFKILL)		+= rfkill/
obj-$(CONFIG_NET_9P)		+= 9p/
obj-$(CONFIG_CAIF)		+= caif/
ifneq ($(CONFIG_DCB),)
obj-y				+= dcb/
endif
obj-$(CONFIG_IEEE802154)	+= ieee802154/
obj-$(CONFIG_MAC802154)		+= mac802154/

ifeq ($(CONFIG_NET),y)
obj-$(CONFIG_SYSCTL)		+= sysctl_net.o
endif
obj-$(CONFIG_WIMAX)		+= wimax/
obj-$(CONFIG_DNS_RESOLVER)	+= dns_resolver/
obj-$(CONFIG_CEPH_LIB)		+= ceph/
obj-$(CONFIG_BATMAN_ADV)	+= batman-adv/
obj-$(CONFIG_NFC)		+= nfc/
obj-$(CONFIG_OPENVSWITCH)	+= openvswitch/
obj-$(CONFIG_VSOCKETS)	+= vmw_vsock/

=== oem-wireless-iwlwifi-1192802-1.0stella6/net/wireless/Makefile ===
obj-$(CPTCFG_CFG80211) += cfg80211.o
obj-$(CPTCFG_LIB80211) += lib80211.o
obj-$(CPTCFG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CPTCFG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CPTCFG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

obj-$(CONFIG_WEXT_CORE) += wext-core.o
obj-$(CONFIG_WEXT_PROC) += wext-proc.o
obj-$(CONFIG_WEXT_SPY) += wext-spy.o
obj-$(CONFIG_WEXT_PRIV) += wext-priv.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o
cfg80211-y += mlme.o ibss.o sme.o chan.o ethtool.o mesh.o ap.o trace.o
cfg80211-$(CPTCFG_CFG80211_DEBUGFS) += debugfs.o
cfg80211-$(CPTCFG_CFG80211_WEXT) += wext-compat.o wext-sme.o
cfg80211-$(CPTCFG_CFG80211_INTERNAL_REGDB) += regdb.o
cfg80211-$(CPTCFG_CFG80211_ANDROID_P2P_HACK) += android.o

CFLAGS_trace.o := -I$(src)

ccflags-y += -D__CHECK_ENDIAN__

$(obj)/regdb.c: $(src)/db.txt $(src)/genregdb.awk
	@$(AWK) -f $(src)/genregdb.awk < $< > $@

clean-files := regdb.c

=== oem-wireless-iwlwifi-1192802-1.0stella6/drivers/net/wireless/iwlwifi/Makefile ===
# common
obj-$(CPTCFG_IWLWIFI)	+= iwlwifi.o
iwlwifi-objs		+= iwl-io.o
iwlwifi-objs		+= iwl-drv.o
iwlwifi-objs		+= iwl-debug.o
iwlwifi-objs		+= iwl-notif-wait.o
iwlwifi-objs		+= iwl-eeprom-read.o iwl-eeprom-parse.o
iwlwifi-objs		+= iwl-phy-db.o iwl-nvm-parse.o

# Bus
iwlwifi-$(CPTCFG_IWLWIFI_PCIE)	+= pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
iwlwifi-$(CPTCFG_IWLWIFI_PCIE)	+= iwl-1000.o iwl-2000.o iwl-5000.o iwl-6000.o iwl-7000.o
iwlwifi-$(CPTCFG_IWLWIFI_SDIO)	+= iwl-7000.o trans_slave/shared.o
iwlwifi-$(CPTCFG_IWLWIFI_SDIO)	+= trans_slave/sdio_drv.o trans_slave/sdio_trans.o trans_slave/sdio_rx.o trans_slave/sdio_tx_policy.o trans_slave/sdio_tx.o
iwlwifi-$(CPTCFG_IWLWIFI_IDI)	+= iwl-7999.o trans_slave/shared.o
iwlwifi-$(CPTCFG_IWLWIFI_IDI)	+= trans_slave/idi_trans.o trans_slave/idi_rx.o trans_slave/idi_tx.o trans_slave/idi_tx_policy.o trans_slave/idi_utils.o

# Compile IDI w/o emulation
ifneq ($(CPTCFG_IWLWIFI_IDI_OVER_PCI),y)
	iwlwifi-$(CPTCFG_IWLWIFI_IDI)	+= trans_slave/idi_hals.o
endif # not CPTCFG_IWLWIFI_IDI_OVER_PCI

# Compiling the IDI and AL_EMULATION
ifeq ($(CPTCFG_IWLWIFI_PCIE),y)
ifeq ($(CPTCFG_IWLWIFI_IDI_OVER_PCI),y)
	# AL Emulation compilation
	AL_EMULATION_SRC=$(M)/drivers/net/wireless/iwlwifi/trans_slave/idi_al_emulation

	# Include Emulation headers
	ccflags-y	+= -I$(AL_EMULATION_SRC)/

	# Include the AL emulation Makefile and flags
	include                 $(AL_EMULATION_SRC)/Makefile
endif #CPTCFG_IWLWIFI_IDI_OVER_PCI
endif #CPTCFG_IWLWIFI_PCIE

iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += iwl-devtrace.o
iwlwifi-$(CPTCFG_IWLWIFI_SW_WAPI_SMS4) += wapi-sms4/sms4-core.o wapi-sms4/iwl-wapi-sms4.o
iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += iwl-test.o iwl-tm-gnl.o
iwlwifi-$(CPTCFG_IWLWIFI_DBGM) += iwl-dbgm.o

ccflags-y += -D__CHECK_ENDIAN__ -I$(src)

obj-$(CPTCFG_IWLDVM)	+= dvm/
obj-$(CPTCFG_IWLMVM)	+= mvm/
obj-$(CPTCFG_IWLXVT)	+= xvt/

CFLAGS_iwl-devtrace.o := -I$(src)

=== oem-wireless-iwlwifi-1192802-1.0stella6/drivers/net/wireless/iwlwifi/mvm/Makefile ===
obj-$(CPTCFG_IWLMVM)   += iwlmvm.o
iwlmvm-y += fw.o mac80211.o nvm.o ops.o phy-ctxt.o mac-ctxt.o
iwlmvm-y += utils.o rx.o tx.o binding.o quota.o sta.o
iwlmvm-y += scan.o time-event.o rs.o
iwlmvm-y += power.o bt-coex.o
iwlmvm-y += led.o tt.o
iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o
iwlmvm-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += testmode.o
iwlmvm-$(CONFIG_PM_SLEEP) += d3.o

ccflags-y += -D__CHECK_ENDIAN__ -I$(src)/../

=== oem-wireless-iwlwifi-1192802-1.0stella6/drivers/net/wireless/iwlwifi/xvt/Makefile ===
obj-$(CPTCFG_IWLXVT)   += iwlxvt.o
iwlxvt-y += xvt.o user-infc.o utils.o fw.o nvm.o

ccflags-y += -D__CHECK_ENDIAN__ -I$(src)/../

=== oem-wireless-iwlwifi-1192802-1.0stella6/drivers/net/wireless/iwlwifi/trans_slave/idi_al_emulation/Makefile ===
#
# iwlwifi al_emulation Makefile
#

# Include al_emulation logs compilation flags #
include			$(AL_EMULATION_SRC)/emulation_logger.mk

# al_emulation Modules #
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-emulation.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-idi.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-idi-tx.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-idi-rx.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-lls.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-sfdb.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-amfh.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-target-access.o
iwlwifi-objs		+= trans_slave/idi_al_emulation/iwl-em-intr.o

#
# al_emulation Compilation flags
#
ccflags-y			+= -DLHP_EMULATION				# Emulation
ccflags-y			+= -DCPTCFG_IWLWIFI_IDI			# IDI Transport
ccflags-y			+= -DCPTCFG_IWLWIFI_IDI_NO_AL	# IDI Transport NO AL

#
# Extra Debug flags
#
#EXTRA_CFLAGS		+= -DCPTCFG_IWLWIFI_TRANS_UT
#EXTRA_CFLAGS		+= -DCPTCFG_IWLWIFI_UT_TX_STORE

=== debian/changelog ===
oem-wireless-iwlwifi-1192802-dkms (1.0stella6) precise; urgency=low

  * Update firmware for BT of Wilkins Peak 2. (LP: #1218778)

 -- Penk Chen <penk.chen@canonical.com>  Fri, 18 Oct 2013 15:39:29 +0800

oem-wireless-iwlwifi-1192802-dkms (1.0stella5) precise; urgency=low

  * Add firmware for BT of Wilkins Peak 2. (LP: #1204745)

 -- Tammy Yang <tammy.yang@canonical.com>  Thu, 25 Jul 2013 11:13:51 +0800

oem-wireless-iwlwifi-1192802-dkms (1.0stella4) precise; urgency=low

  * Add Wilkins Peak 2 -- Intel 7260 firmware.  (LP: #1195218)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 15 Jul 2013 16:20:39 +0800

oem-wireless-iwlwifi-1192802-dkms (1.0stella3) precise; urgency=low

  * Clean kconfig for the ppa build issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 15 Jul 2013 16:17:40 +0800

oem-wireless-iwlwifi-1192802-dkms (1.0stella2) precise; urgency=low

  * Remove kconfig/conf for the ppa build issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 11 Jul 2013 19:05:22 +0800

oem-wireless-iwlwifi-1192802-dkms (1.0stella1) precise; urgency=low

  * Initial release. (Closes: LP: #1192802)
  * VendorSource: compat-wireless-3.10-rc1-2-20130618.tgz

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 11 Jul 2013 18:19:20 +0800

=== debian/control ===
Source: oem-wireless-iwlwifi-1192802-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-wireless-iwlwifi-1192802-dkms
XBCS-Oem-Vendor: Canonical HWE/Intel
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-wireless-iwlwifi-1192802 driver in DKMS format.

=== oem-wireless-iwlwifi-1192802-1.0stella6/oem-wireless-iwlwifi-1192802-dkms-mkdsc/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: DEBIAN_PACKAGE-dkms
XBCS-Oem-Vendor: Canonical HWE/Intel
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: DEBIAN_PACKAGE driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-wireless-iwlwifi-1192802
NAME=oem-wireless-iwlwifi-1192802
VERSION=1.0stella6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
